Subject: bug#73425: 31.0.50; Support images in HTML versions of ELPA package manuals

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Apr 2025 11:27:30 +0300

> From: Eshel Yaron <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked],  Mats Lidell <[email-masked]>,  Robert Weiner
>  <[email-masked]>
> Date: Sat, 19 Apr 2025 09:10:58 +0200
> 
> I'd love to change these references to relative paths so they also work
> on the ELPA server, but I'm still not sure how to do that: we provide
> the manual at https://eshelyaron.com/kubed.html (all nodes in one page)
> and at https://eshelyaron.com/man/kubed/ (each node in a separate page).
> The image references need to work from these two different locations.
> That's easy to do with absolute references.  With relative references,
> not so much...  It would be nice if Texinfo allowed us to use different
> references depending on whether or not "--no-split" is in effect, but I
> couldn't find such an option. 
> 
> Any ideas/suggestions?

Use "@ifset foo" and "@ifclear foo", and build the docs with -Dfoo
when you need it.